| TagLib 1.13 |  |

Classes | Public Member Functions | List of all members
TagLib::MP4::Item Class Reference

`#include <mp4item.h>`

## Classes
struct | IntPair

## Public Member Functions
| Item ()
| Item (const Item &item)
Item & | operator= (const Item &item)
void | swap (Item &item)
| ~Item ()
| Item (int value)
| Item (unsigned char value)
| Item (unsigned int value)
| Item (long long value)
| Item (bool value)
| Item (int first, int second)
| Item (const StringList &value)
| Item (const ByteVectorList &value)
| Item (const CoverArtList &value)
void | setAtomDataType (AtomDataType type)
AtomDataType | atomDataType () const
int | toInt () const
unsigned char | toByte () const
unsigned int | toUInt () const
long long | toLongLong () const
bool | toBool () const
IntPair | toIntPair () const
StringList | toStringList () const
ByteVectorList | toByteVectorList () const
CoverArtList | toCoverArtList () const
bool | isValid () const

## Constructor & Destructor Documentation

## ◆ Item() [1/11]

TagLib::MP4::Item::Item | ( |  | ) |

## ◆ Item() [2/11]

TagLib::MP4::Item::Item | ( | const Item & | item | ) |

## ◆ ~Item()

TagLib::MP4::Item::~Item | ( |  | ) |

## ◆ Item() [3/11]

TagLib::MP4::Item::Item | ( | int | value | ) |

## ◆ Item() [4/11]

TagLib::MP4::Item::Item | ( | unsigned char | value | ) |

## ◆ Item() [5/11]

TagLib::MP4::Item::Item | ( | unsigned int | value | ) |

## ◆ Item() [6/11]

TagLib::MP4::Item::Item | ( | long long | value | ) |

## ◆ Item() [7/11]

TagLib::MP4::Item::Item | ( | bool | value | ) |

## ◆ Item() [8/11]

TagLib::MP4::Item::Item | ( | int | first,
|  | int | second
| ) |  |

## ◆ Item() [9/11]

TagLib::MP4::Item::Item | ( | const StringList & | value | ) |

## ◆ Item() [10/11]

TagLib::MP4::Item::Item | ( | const ByteVectorList & | value | ) |

## ◆ Item() [11/11]

TagLib::MP4::Item::Item | ( | const CoverArtList & | value | ) |

## Member Function Documentation

## ◆ atomDataType()

AtomDataType TagLib::MP4::Item::atomDataType | ( |  | ) | const

## ◆ isValid()

bool TagLib::MP4::Item::isValid | ( |  | ) | const

## ◆ operator=()

Item & TagLib::MP4::Item::operator= | ( | const Item & | item | ) |

Copies the contents of item into this Item.

## ◆ setAtomDataType()

void TagLib::MP4::Item::setAtomDataType | ( | AtomDataType | type | ) |

## ◆ swap()

void TagLib::MP4::Item::swap | ( | Item & | item | ) |

Exchanges the content of the Item by the content of item.

## ◆ toBool()

bool TagLib::MP4::Item::toBool | ( |  | ) | const

## ◆ toByte()

unsigned char TagLib::MP4::Item::toByte | ( |  | ) | const

## ◆ toByteVectorList()

ByteVectorList TagLib::MP4::Item::toByteVectorList | ( |  | ) | const

## ◆ toCoverArtList()

CoverArtList TagLib::MP4::Item::toCoverArtList | ( |  | ) | const

## ◆ toInt()

int TagLib::MP4::Item::toInt | ( |  | ) | const

## ◆ toIntPair()

IntPair TagLib::MP4::Item::toIntPair | ( |  | ) | const

## ◆ toLongLong()

long long TagLib::MP4::Item::toLongLong | ( |  | ) | const

## ◆ toStringList()

StringList TagLib::MP4::Item::toStringList | ( |  | ) | const

## ◆ toUInt()

unsigned int TagLib::MP4::Item::toUInt | ( |  | ) | const

The documentation for this class was generated from the following file:

- mp4item.h